package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/2/15
 */
@Data
public class ReceiptPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款Id
     */
    private Integer id;
    /**
     * 收款短信
     */
    private String smsContent;
    /**
     * 短信内容Md5加密串（适用于二次短信匹配查询）
     */
    private String smsMd5Code;
    /**
     * 用户付款方式：1线上，2线下，3余额抵扣
     */
    private String payWay;
    /**
     * 付款类型：1建设银行7297、2广发银行0115、3中信银行7172、4中信银行0897、5中信银行0897-财付通、6中信银行0897-支付宝、7线上-支付宝、8线上-微信支付、9线上-快钱支付、10口头返佣、11广发银行5461、12PC-B2B网银、13PC-微信支付、14PC-支付宝、15小程序-微信支付、16余额抵扣、17PC-B2C网银
     */
    private String payType;
    /**
     * 收款款项类型：1订单款，2非订单款，3返佣款 4订单款或者非订单款（因财务阶段无法区分订单非订单）, 5供应商退款
     */
    private String receiptType;
    /**
     * 收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销【线上支付成功为审核通过】
     */
    private String receiptStatus;
    /**
     * 收款时间
     */
    private String receiptDate;
    /**
     * 收款金额（线上一次性付款和支付金额一致）
     */
    private Double receiptAmount;
    /**
     * 手续费
     */
    private Double handlingFee;
    /**
     * 订单标识
     */
    private String orderFlag;
    /**
     * 作废标记
     */
    private String delFlag;
    /**
     * 确认订单类型：1小额抹平确认，2大额抹平确认，3大额退款余额，4确认关联
     */
    private String confirmType;
    /**
     * 确认时间
     */
    private String confirmDate;
    /**
     * 确认人权限ID(对应cm_receipt_user表)
     */
    private Integer confirmUserPermissionId;
    /**
     * 收款人权限ID(对应cm_receipt_user表)
     */
    private Integer receiptUserPermissionId;
    /**
     * 审核人权限ID(对应cm_receipt_user表)
     */
    private Integer reviewUserPermissionId;
    /**
     * 撤销人权限ID(对应cm_receipt_user表)
     */
    private String cancelUserPermissionId;
    /**
     * 审核时间
     */
    private String reviewDate;
    /**
     * 撤销时间
     */
    private String cancelDate;
    /**
     * 撤销原因
     */
    private String cancelReason;
    /**
     * 更新操作时间
     */
    private String updateDate;
    /**
     * 自动审核收款标记（0手动分享去确认审核，1收款直接确认并审核[适用星范带有正确订单标识的收款]）
     */
    private String autoAuditFlag;
    /**
     * 当前识别短信是否已经识别存在系统。0新短信可以识别，1已经存在识别短信。
     */
    private String smsContentPresenceFlag;
}
